diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/wifi/test/power-rate-adaptation-test.cc ns-3.47/src/wifi/test/power-rate-adaptation-test.cc
--- ns-3.46/src/wifi/test/power-rate-adaptation-test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/wifi/test/power-rate-adaptation-test.cc	2026-02-16 16:08:49.876231000 -0800
@@ -93,7 +93,7 @@
     /*
      * Configure power control parameters.
      */
-    phy->SetNTxPower(18);
+    phy->SetNTxPowerLevels(18);
     phy->SetTxPowerStart(dBm_u{0});
     phy->SetTxPowerEnd(dBm_u{17});
 
@@ -174,7 +174,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Initial data rate wrong");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Initial power level wrong");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "PARF: Initial power level wrong");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -194,7 +194,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -211,7 +211,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -233,7 +233,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -250,7 +250,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -268,7 +268,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           48000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -288,7 +288,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -305,7 +305,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           48000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -325,7 +325,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -345,7 +345,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -367,7 +367,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "PARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "PARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "PARF: Incorrect value of power level");
 
     Simulator::Destroy();
 }
@@ -419,7 +419,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "APARF: Initial data rate wrong");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "APARF: Initial power level wrong");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "APARF: Initial power level wrong");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -440,7 +440,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "APARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -457,7 +457,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "APARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -477,7 +477,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "APARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -498,7 +498,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 15, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 16, "APARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -518,7 +518,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 0, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 1, "APARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -535,7 +535,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 1, "Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 2, "Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -555,7 +555,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "APARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -573,7 +573,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           48000000,
                           "Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -593,7 +593,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           48000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "APARF: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -615,7 +615,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           48000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 7, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 8, "APARF: Incorrect value of power level");
 
     for (int i = 0; i < 3; i++)
     {
@@ -629,7 +629,7 @@
     NS_TEST_ASSERT_MSG_EQ(mode.GetDataRate(txVector.GetChannelWidth()),
                           54000000,
                           "APARF: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "APARF: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "APARF: Incorrect value of power level");
 
     Simulator::Destroy();
 }
@@ -714,7 +714,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         6000000,
         "RRPAA: Initial data rate wrong"); // 802.11a minimal rate is 6Mbps
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Initial power level wrong");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Initial power level wrong");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -739,7 +739,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         6000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     /**
      * Test that 7 is enough.
@@ -754,7 +754,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         9000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -775,7 +775,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         9000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     manager->ReportDataFailed(mpdu);
 
@@ -787,7 +787,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         6000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -808,7 +808,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         9000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 10; i++)
     {
@@ -823,7 +823,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         12000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 13; i++)
     {
@@ -838,7 +838,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         18000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 19; i++)
     {
@@ -853,7 +853,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         24000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 23; i++)
     {
@@ -868,7 +868,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         36000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 33; i++)
     {
@@ -883,7 +883,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         48000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 43; i++)
     {
@@ -898,7 +898,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         54000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -921,7 +921,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         54000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     manager->ReportDataOk(mpdu, 0, ackMode, 0, txVector);
 
@@ -933,7 +933,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         54000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -955,7 +955,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         54000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 0, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 1, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -976,7 +976,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         54000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 1, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 2, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -997,7 +997,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         54000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -1018,7 +1018,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         48000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     /*
      * Now 11 failures are needed to decrease rate again.
@@ -1037,7 +1037,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         36000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -1060,7 +1060,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         36000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 18, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 5; i++)
     {
@@ -1075,7 +1075,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         36000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 5; i++)
     {
@@ -1090,7 +1090,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         36000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 16, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 17, "RRPAA: Incorrect value of power level");
 
     for (int i = 0; i < 25; i++)
     {
@@ -1105,7 +1105,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         36000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 15, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 16, "RRPAA: Incorrect value of power level");
 
     //-----------------------------------------------------------------------------------------------------
 
@@ -1134,7 +1134,7 @@
         mode.GetDataRate(txVector.GetChannelWidth(), txVector.GetGuardInterval(), 1),
         36000000,
         "RRPAA: Incorrect vale of data rate");
-    NS_TEST_ASSERT_MSG_EQ(power, 0, "RRPAA: Incorrect value of power level");
+    NS_TEST_ASSERT_MSG_EQ(power, 1, "RRPAA: Incorrect value of power level");
 
     Simulator::Stop(Seconds(10));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/wifi/test/spectrum-wifi-phy-test.cc ns-3.47/src/wifi/test/spectrum-wifi-phy-test.cc
--- ns-3.46/src/wifi/test/spectrum-wifi-phy-test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/wifi/test/spectrum-wifi-phy-test.cc	2026-02-16 16:08:49.876231000 -0800
@@ -181,7 +181,7 @@
 SpectrumWifiPhyBasicTest::MakeSignal(Watt_u txPower, const WifiPhyOperatingChannel& channel)
 {
     WifiTxVector txVector{OfdmPhy::GetOfdmRate6Mbps(),
-                          0,
+                          WIFI_MIN_TX_PWR_LEVEL,
                           WIFI_PREAMBLE_LONG,
                           NanoSeconds(800),
                           1,
@@ -510,7 +510,7 @@
 SpectrumWifiPhyFilterTest::SendPpdu()
 {
     WifiTxVector txVector{EhtPhy::GetEhtMcs0(),
-                          0,
+                          WIFI_MIN_TX_PWR_LEVEL,
                           WIFI_PREAMBLE_EHT_MU,
                           NanoSeconds(800),
                           1,
@@ -1310,7 +1310,7 @@
     NS_LOG_FUNCTION(this);
 
     WifiTxVector txVector{HePhy::GetHeMcs7(),
-                          0,
+                          WIFI_MIN_TX_PWR_LEVEL,
                           WIFI_PREAMBLE_HE_SU,
                           NanoSeconds(800),
                           1,
@@ -1695,13 +1695,13 @@
      *
      * @param index the index to identify the RX PHY to check
      * @param expectedCcaBusyIndication flag to indicate whether a CCA BUSY notification is expected
-     * @param switchingDelay delay between the TX has started and the time RX switched to the TX
-     * channel
+     * @param timeBeforeChannelSwitchStarted delay between the TX has started and the time RX
+     * switched to the TX channel
      * @param propagationDelay the propagation delay
      */
     void CheckCcaIndication(std::size_t index,
                             bool expectedCcaBusyIndication,
-                            Time switchingDelay,
+                            Time timeBeforeChannelSwitchStarted,
                             Time propagationDelay);
 
     /**
@@ -1728,6 +1728,10 @@
     std::vector<Ptr<SpectrumWifiPhy>> m_rxPhys{};                   //!< RX PHYs
     std::vector<std::shared_ptr<TestPhyListener>> m_listeners{};    //!< listeners
 
+    Time m_switchingDelay; //!< The switching delay to consider to the test, this has to be lessen
+                           //!< than the default one to ensure TX is still ongoing when the RX PHYs
+                           //!< switched to the TX channel
+
     std::vector<uint32_t> m_counts; //!< count number of packets received by PHYs
     std::vector<uint32_t>
         m_countRxSuccess; //!< count number of packets successfully received by PHYs
@@ -1744,7 +1748,10 @@
     ChannelSwitchScenario chanSwitchScenario)
     : TestCase{"SpectrumWifiPhy test operation with multiple RF interfaces"},
       m_trackSignalsInactiveInterfaces{trackSignalsInactiveInterfaces},
-      m_chanSwitchScenario{chanSwitchScenario}
+      m_chanSwitchScenario{chanSwitchScenario},
+      m_switchingDelay{m_chanSwitchScenario == ChannelSwitchScenario::BETWEEN_TX_RX
+                           ? NanoSeconds(1)
+                           : MicroSeconds(50)}
 {
 }
 
@@ -1780,7 +1787,7 @@
                          << phy->GetChannelWidth() << phy->GetChannelNumber());
 
     WifiTxVector txVector{HePhy::GetHeMcs11(),
-                          0,
+                          WIFI_MIN_TX_PWR_LEVEL,
                           WIFI_PREAMBLE_HE_SU,
                           NanoSeconds(800),
                           1,
@@ -1919,11 +1926,13 @@
 void
 SpectrumWifiPhyMultipleInterfacesTest::CheckCcaIndication(std::size_t index,
                                                           bool expectedCcaBusyIndication,
-                                                          Time switchingDelay,
+                                                          Time timeBeforeChannelSwitchStarted,
                                                           Time propagationDelay)
 {
     const auto expectedCcaBusyStart =
-        expectedCcaBusyIndication ? m_lastTxStart + switchingDelay : Seconds(0);
+        expectedCcaBusyIndication
+            ? m_lastTxStart + timeBeforeChannelSwitchStarted + m_switchingDelay
+            : Seconds(0);
     const auto expectedCcaBusyEnd =
         expectedCcaBusyIndication ? m_lastTxEnd + propagationDelay : Seconds(0);
     NS_LOG_FUNCTION(this << index << expectedCcaBusyIndication << expectedCcaBusyStart
@@ -2065,19 +2074,13 @@
     {
         auto txPhy =
             DynamicCast<SpectrumWifiPhy>(DynamicCast<WifiNetDevice>(apDevice.Get(0))->GetPhy(i));
-        if (m_chanSwitchScenario == ChannelSwitchScenario::BETWEEN_TX_RX)
-        {
-            txPhy->SetAttribute("ChannelSwitchDelay", TimeValue(NanoSeconds(1)));
-        }
+        txPhy->SetAttribute("ChannelSwitchDelay", TimeValue(m_switchingDelay));
         m_txPhys.push_back(txPhy);
 
         const auto index = m_rxPhys.size();
         auto rxPhy =
             DynamicCast<SpectrumWifiPhy>(DynamicCast<WifiNetDevice>(staDevice.Get(0))->GetPhy(i));
-        if (m_chanSwitchScenario == ChannelSwitchScenario::BETWEEN_TX_RX)
-        {
-            rxPhy->SetAttribute("ChannelSwitchDelay", TimeValue(NanoSeconds(1)));
-        }
+        rxPhy->SetAttribute("ChannelSwitchDelay", TimeValue(m_switchingDelay));
         rxPhy->TraceConnectWithoutContext(
             "PhyRxBegin",
             MakeCallback(&SpectrumWifiPhyMultipleInterfacesTest::RxCallback, this).Bind(index));
